Module | ActionController::Helpers::ClassMethods
In: | lib/action_controller/helpers.rb

The template helpers serve to relieve the templates from including the same inline code again and again. It‘s a set of standardized methods for working with forms (FormHelper), dates (DateHelper), texts (TextHelper), and Active Records (ActiveRecordHelper) that‘s available to all templates by default.

It‘s also really easy to make your own helpers and it‘s much encouraged to keep the template files free from complicated logic. It‘s even encouraged to bundle common compositions of methods from other helpers (often the common helpers) as they‘re used by the specific application.

      module MyHelper
        def hello_world() "hello world" end
      end

MyHelper can now be included in a controller, like this:

      class MyController < ActionController::Base
        helper :my_helper
      end

…and, same as above, used in any template rendered from MyController, like this:

Let‘s hear what the helper has to say: `<%= hello_world %>`

### Methods

helper helper_attr helper_method

### Public Instance methods

helper(*args, &block)

Declare a helper:

      helper :foo

requires ‘foo_helper’ and includes FooHelper in the template class.

      helper FooHelper

includes FooHelper in the template class.

      helper { def foo() "#{bar} is the very best" end }

evaluates the block in the template class, adding method foo.

      helper(:three, BlindHelper) { def mice() 'mice' end }

does all three.

helper_attr(*attrs)

Declare a controller attribute as a helper. For example,

      helper_attr :name
      attr_accessor :name

makes the name and name= controller methods available in the view. The is a convenience wrapper for helper_method.

helper_method(*methods)

Declare a controller method as a helper. For example,

      helper_method :link_to
      def link_to(name, options) ... end

makes the link_to controller method available in the view.

[Validate]